# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.youtube
Enum UserEventEntry.Type

    java.lang.Object
      java.lang.Enum<UserEventEntry.Type>
          com.google.gdata.data.youtube.UserEventEntry.Type

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<UserEventEntry.Type>

Enclosing class:
  UserEventEntry

    public static enum UserEventEntry.Type

extends java.lang.Enum<UserEventEntry.Type>

User event types. More types will appear over time.

Enum Constant Summary
`FRIEND_ADDED`
`USER_SUBSCRIPTION_ADDED`
`VIDEO_COMMENTED`
`VIDEO_FAVORITED`
`VIDEO_RATED`
`VIDEO_SHARED`
`VIDEO_UPLOADED`

Method Summary
`static UserEventEntry.Type` `fromTerm(java.lang.String term)` Given a term of a category with scheme `YouTubeNamespace.KIND_USER_EVENT`, look for the corresponding `Type` enum value.
`java.lang.String` `getTerm()` Gets the category term corresponding to this user event type
`static UserEventEntry.Type` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static UserEventEntry.Type[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### VIDEO_UPLOADED

    public static final UserEventEntry.Type VIDEO_UPLOADED

### VIDEO_RATED

    public static final UserEventEntry.Type VIDEO_RATED

### VIDEO_FAVORITED

    public static final UserEventEntry.Type VIDEO_FAVORITED

### VIDEO_SHARED

    public static final UserEventEntry.Type VIDEO_SHARED

### VIDEO_COMMENTED

    public static final UserEventEntry.Type VIDEO_COMMENTED

### USER_SUBSCRIPTION_ADDED

    public static final UserEventEntry.Type USER_SUBSCRIPTION_ADDED

### FRIEND_ADDED

    public static final UserEventEntry.Type FRIEND_ADDED

Method Detail

### values

    public static UserEventEntry.Type[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (UserEventEntry.Type c : UserEventEntry.Type.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static UserEventEntry.Type valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getTerm

    public java.lang.String getTerm()

  Gets the category term corresponding to this user event type

  Returns:
    category term

### fromTerm

    public static UserEventEntry.Type fromTerm(java.lang.String term)

  Given a term of a category with scheme `YouTubeNamespace.KIND_USER_EVENT`, look for the corresponding `Type` enum value.

  Returns:
    corresponding enum value or null if none exists